Can't install mod_http2 on CloudLinux

Ian Svoboda

Member
Mar 19, 2017
5
1
3
Jacksonville, FL
cPanel Access Level
Root Administrator
I can see mod_http2 in my PHP modules list in WHM, but whenever I try to install it I get this error:

Code:
Update Error:

Error: Package: ea-apache24-mod_http2-2.4.25-11.14.1.cpanel.x86_64 (EA4)
Requires: ea-apache24 = 2.4.25-11.14.1.cpanel
Installed: 1:ea-apache24-2.4.25-9.el7.cloudlinux.3.x86_64 (@cl-ea4)
ea-apache24 = 1:2.4.25-9.el7.cloudlinux.3
Available: ea-apache24-2.4.16-4.1.x86_64 (EA4)
ea-apache24 = 2.4.16-4.1
Available: ea-apache24-2.4.16-4.2.x86_64 (EA4)
ea-apache24 = 2.4.16-4.2
Available: ea-apache24-2.4.16-4.3.x86_64 (EA4)
ea-apache24 = 2.4.16-4.3
Available: ea-apache24-2.4.16-6.1.x86_64 (EA4)
ea-apache24 = 2.4.16-6.1
Available: ea-apache24-2.4.16-6.2.x86_64 (EA4)
ea-apache24 = 2.4.16-6.2
Available: ea-apache24-2.4.16-8.1.x86_64 (EA4)
ea-apache24 = 2.4.16-8.1
Available: ea-apache24-2.4.16-9.1.x86_64 (EA4)
ea-apache24 = 2.4.16-9.1
Available: ea-apache24-2.4.17-1.1.x86_64 (EA4)
ea-apache24 = 2.4.17-1.1
Available: ea-apache24-2.4.17-2.1.x86_64 (EA4)
ea-apache24 = 2.4.17-2.1
Available: ea-apache24-2.4.17-3.1.x86_64 (EA4)
ea-apache24 = 2.4.17-3.1
Available: ea-apache24-2.4.18-1.1.x86_64 (EA4)
ea-apache24 = 2.4.18-1.1
Available: ea-apache24-2.4.18-2.1.x86_64 (EA4)
ea-apache24 = 2.4.18-2.1
Available: ea-apache24-2.4.18-3.1.x86_64 (EA4)
ea-apache24 = 2.4.18-3.1
Available: ea-apache24-2.4.18-4.1.x86_64 (EA4)
ea-apache24 = 2.4.18-4.1
Available: ea-apache24-2.4.18-5.1.x86_64 (EA4)
ea-apache24 = 2.4.18-5.1
Available: ea-apache24-2.4.18-5.2.x86_64 (EA4)
ea-apache24 = 2.4.18-5.2
Available: ea-apache24-2.4.18-6.1.x86_64 (EA4)
ea-apache24 = 2.4.18-6.1
Available: ea-apache24-2.4.18-7.1.x86_64 (EA4)
ea-apache24 = 2.4.18-7.1
Available: ea-apache24-2.4.20-1.1.x86_64 (EA4)
ea-apache24 = 2.4.20-1.1
Available: ea-apache24-2.4.20-2.1.x86_64 (EA4)
ea-apache24 = 2.4.20-2.1
Available: ea-apache24-2.4.20-3.1.x86_64 (EA4)
ea-apache24 = 2.4.20-3.1
Available: ea-apache24-2.4.20-4.4.3.x86_64 (EA4)
ea-apache24 = 2.4.20-4.4.3
Available: ea-apache24-2.4.20-4.4.4.x86_64 (EA4)
ea-apache24 = 2.4.20-4.4.4
Available: ea-apache24-2.4.20-4.5.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.20-4.5.1.cpanel
Available: ea-apache24-2.4.20-6.6.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.20-6.6.1.cpanel
Available: ea-apache24-2.4.23-1.1.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-1.1.1.cpanel
Available: ea-apache24-2.4.23-2.2.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-2.2.1.cpanel
Available: ea-apache24-2.4.23-2.2.2.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-2.2.2.cpanel
Available: ea-apache24-2.4.23-3.3.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-3.3.1.cpanel
Available: ea-apache24-2.4.23-3.3.3.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-3.3.3.cpanel
Available: ea-apache24-2.4.23-3.6.2.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-3.6.2.cpanel
Available: ea-apache24-2.4.23-5.7.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-5.7.1.cpanel
Available: ea-apache24-2.4.23-6.8.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-6.8.1.cpanel
Available: ea-apache24-2.4.23-7.9.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-7.9.1.cpanel
Available: ea-apache24-2.4.23-8.10.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-8.10.1.cpanel
Available: ea-apache24-2.4.23-9.11.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.23-9.11.1.cpanel
Available: ea-apache24-2.4.25-1.1.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-1.1.1.cpanel
Available: ea-apache24-2.4.25-2.2.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-2.2.1.cpanel
Available: ea-apache24-2.4.25-3.3.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-3.3.1.cpanel
Available: ea-apache24-2.4.25-4.4.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-4.4.1.cpanel
Available: ea-apache24-2.4.25-4.4.2.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-4.4.2.cpanel
Available: ea-apache24-2.4.25-5.5.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-5.5.1.cpanel
Available: ea-apache24-2.4.25-5.5.2.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-5.5.2.cpanel
Available: ea-apache24-2.4.25-6.6.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-6.6.1.cpanel
Available: ea-apache24-2.4.25-7.7.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-7.7.1.cpanel
Available: ea-apache24-2.4.25-9.9.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-9.9.1.cpanel
Available: ea-apache24-2.4.25-9.9.2.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-9.9.2.cpanel
Available: ea-apache24-2.4.25-9.9.3.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-9.9.3.cpanel
Available: ea-apache24-2.4.25-9.13.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-9.13.1.cpanel
Available: ea-apache24-2.4.25-11.14.1.cpanel.x86_64 (EA4)
ea-apache24 = 2.4.25-11.14.1.cpanel
Available: 1:ea-apache24-2.4.23-1.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-1.el7.cloudlinux
Available: 1:ea-apache24-2.4.23-2.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-2.el7.cloudlinux
Available: 1:ea-apache24-2.4.23-3.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-3.el7.cloudlinux
Available: 1:ea-apache24-2.4.23-5.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-5.el7.cloudlinux
Available: 1:ea-apache24-2.4.23-7.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-7.el7.cloudlinux
Available: 1:ea-apache24-2.4.23-8.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-8.el7.cloudlinux
Available: 1:ea-apache24-2.4.23-9.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.23-9.el7.cloudlinux
Available: 1:ea-apache24-2.4.25-2.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.25-2.el7.cloudlinux
Available: 1:ea-apache24-2.4.25-4.el7.cloudlinux.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.25-4.el7.cloudlinux
Available: 1:ea-apache24-2.4.25-4.el7.cloudlinux.1.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.25-4.el7.cloudlinux.1
Available: 1:ea-apache24-2.4.25-9.el7.cloudlinux.1.x86_64 (cl-ea4)
ea-apache24 = 1:2.4.25-9.el7.cloudlinux.1
The entire output was logged to: /usr/local/cpanel/logs/packman/errors/2017-07-14_17:11:16-1
It seems like Apache needs some update to work with mod_http2, but I see a bunch of other people seem to have already installed it, so I'm not sure what to do from here.

Any suggestions would be most appreciated.